<form method ='post' enctype ="multipart/form-data" action="{% url 'profile:adm_ppdb_beranda' %}">
   
    {% csrf_token %}
    <input type="hidden" id="if_edit" name="if_edit" value="{{is_edit}}" alt="{{is_edit}}">
    <input type="hidden" name="{{ form.status.name }}" value="Publish">
 
    <div class="form-group">
        <label for="judul">Judul Beranda</label>
        <input type="text" placeholder="Masukkan Judul Beranda" class="form-control"
            name="{{ form.title.name }}" id="title" value="{{beranda.title}}" required>
        <input type="hidden" name="{{ form.typexs.name }}" value="beranda">
    </div>
    <div class="form-group">
        <label for="judul">Sub Judul Beranda</label>
        <input type="text" placeholder="Masukkan Sub Judul Beranda" class="form-control"
            name="{{ form.subtitle.name }}" id="subtitle" value="{{beranda.subtitle}}" required>
    </div>
    <div class="form-group">
        <label for="deskripsi">Deskripsi Beranda</label>
        {{form.description}}
    </div>
    <div class="row form-group">
        <div class="col-md-6">
            <label for="foto">Foto Beranda <small>[* File PNG dengan background transparan.]</small></label>
            <input type="file" class="form-control" name="{{ form_foto.foto.name }}" id="foto" accept="image/png"
                placeholder="File PNG dengan background transparan."
                {% if form_foto.foto.field.required and not is_edit %}required{% endif %}>
            <small id="passwordHelpBlock" class="form-text text-muted">
                {% if is_edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
            </small>
            {{form_foto.x}}
            {{form_foto.y}}
            {{form_foto.width}}
            {{form_foto.height}}
            <input type="hidden" id="if_foto" name="if_foto" value="False">
            <div class="col col-md-12 d-flex justify-content-center mt-3">
                <div class="crop-preview" style="max-width: 50%; max-height: 100%;"></div>
                <img id="old-image" style="max-width: 50%; max-height: 100%;" src="{{ beranda.foto.url }}">           
            </div>
        </div>
        <div class="col-md-6">
            <label for="dokumen">Upload Dokumen Beranda</label>
            <input type="file" class="form-control" name="dokumen" id="dokumen" accept="application/pdf">
            <small id="passwordHelp" class="form-text text-muted">
                {% if is_edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
            </small>
            <div class="kotak-pdf justify-content-center mt-3">
                <canvas id="pdfViewer" style="width:100%;" alt="{{ beranda.dokumen.url }}">
            </div>
            <input type="hidden" id="if_katalog" name="if_katalog" value="False">
        </div>
    </div>    
    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan Data</button>
</form>